CREATE TABLE fosdem_rooms
(
    room_name           text,
    room_description    text,

    PRIMARY KEY (room_name)
);

CREATE TABLE fosdem_people
(
    id                  serial,
    fullname            text,
    biography           text,

    PRIMARY KEY (id)
);

CREATE TABLE fosdem_talks
(
    person_id           integer NOT NULL REFERENCES fosdem_people (id),
    room_name           text NOT NULL REFERENCES fosdem_rooms(room_name),
    title               text,
    abstract            text,
    starts              timestamp,
    ends                timestamp,

    PRIMARY KEY (person_id, room_name)
);
